package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fee;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface FeeMapper {

    int insert(Fee record);

    int insertSelective(Fee record);

    int updateByPrimaryKeySelective(Fee record);

    int updateByPrimaryKey(Fee record);

    int deleteByPrimaryKey(Fee record);

    int deleteByIds(Collection<Object> collection);

    Fee selectByPrimaryKey(Fee record);

    Fee selectByCod(String cod);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Fee> dyncRead(Map<String, Object> dyncMap);

    List<String> getAvbfeecod(@Param(value = "shortRecType") String shortRecType,
                              @Param(value = "transName") String transName,
                              @Param(value = "etgGrp") String etgGrp,
                              @Param(value = "date") Date date);

    List<Fee> getFeeByConditionSql(@Param(value = "conditionSql") String conditionSql);

    Fee queryById(@Param("inr") String inr);

    List<Fee> queryAllByLimit(@Param("entity") Fee fee);

    long count(Fee fee);

    int update(Fee fee);

    int deleteById(@Param("inr") String inr);

    int queryCod(String cod);
}